Bug 159100 - Sidebar Hide/Show widget, the Show action is active beyond its button bounds
Summary: Sidebar Hide/Show widget, the Show action is active beyond its button bounds
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Sidebar
  Show dependency treegraph
 
Reported: 2024-01-10 10:35 UTC by vena.cava@virgin.net
Modified: 2024-04-24 08:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vena.cava@virgin.net 2024-01-10 10:35:45 UTC
Description:
When a document is open, it is normal to used the scroll bars at the right side of the document to scroll up and down the document.  The fault is in the narrow zone immediately to the right of the scroll bar. The entire narrow zone at the right of the scroll bar is receptive to mouse clicking. This has the very highly irritating effect of the navigator repeatedly popping open when the mouse accidentally deviates a little to the left of the scroll bar.  There is a specified zone to define a mouse click that opens the navigator, but the active area is actually not just that area. This fault is not present in the alternative Apache OpenOffice, so I guess that the bug in LibreOffice has been introduced since the fork from OpenOffice. This bug has been present for years. A similar bug that caused the navigator to close unexpected was fixed a few years ago, but the bug that leads to unexpected opening of the navigator was not. You would need to try clicking immediately to the right of the scroll bar of a document to verify this bug.

Steps to Reproduce:
see description above

Actual Results:
see description above

Expected Results:
see description above.



Reproducible: Always


User Profile Reset: No

Additional Info:
see description above.
I am not exactly sure when the bug started, but it has been present for years. More than 5 years, I would guess.
I have guessed when it started and selected an old version.
There is not a "do not know" option.
Comment 1 Buovjaga 2024-01-19 17:32:01 UTC
UX team: in 2015 bug 92831 about the same topic was closed, but the decision was not unanimous. Maybe you can look at this again.
Comment 2 V Stuart Foote 2024-01-19 18:45:59 UTC
Yes, it is a dupe. Not a bug rather the collapse/expand toggle for the Sidebar deck, intentional and as noted in bug 92831 could equally be moved to the right of the Sidebar.

*** This bug has been marked as a duplicate of bug 92831 ***
Comment 3 V Stuart Foote 2024-01-19 19:00:07 UTC
Actually going to confirm and set this new.

The SideBar deck Hide/Show button action *is* incorrectly implemented.

The 'Hide' button to collapse the Sidebar is targeted and highlighted active on mouse over and only fires with mouse click with pointer over the button.  

But in the collapsed state the 'Show' button while correctly targeted and highlighted with mouse over, also will fire with a click anywhere above or below it along the entire scroll bar. It shouldn't.

@TomaΕΎ?
Comment 4 LeroyG 2024-01-19 21:20:22 UTC
Can confirm in Linux:
Version: 7.6.2.1 (X86_64) / LibreOffice Community
Build ID: 60(Build:1)
CPU threads: 1; OS: Linux 5.14; UI render: default; VCL: gtk3
Locale: es-MX (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Heiko Tietze 2024-01-22 10:10:27 UTC
I understand the issue as wheeling over the collapse/expand button is forwarded to the canvas making the document scroll. => bug

Wheeling does not fire a click event, ie. the sidebar becomes not expanded for me.

Tested with 

Version: 7.6.4.1 (X86_64) / LibreOffice Community
Build ID: 60(Build:1)
CPU threads: 32; OS: Linux 6.7; UI render: default; VCL: kf5 (cairo+xcb)
Locale: de-DE (en_US.UTF-8); UI: en-US
7.6.4-2
Calc: threaded

and

Version: 24.8.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: d26fa6f6a27da598f0e3cfc54a46ef8d0a607570
CPU threads: 16; OS: Windows 10.0 Build 22000; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_DE); UI: en-US
Calc: threaded
Comment 6 V Stuart Foote 2024-01-22 13:08:08 UTC
(In reply to Heiko Tietze from comment #5)
> I understand the issue as wheeling over the collapse/expand button is
> forwarded to the canvas making the document scroll. => bug
> 
> Wheeling does not fire a click event, ie. the sidebar becomes not expanded
> for me.

No, issue is with mouse click. Not wheeling (though I suppose if attempting to grab the scroll bar "thumb" to scroll with wheel it could be experienced that way).

Rather, issue is that the SB Hide/Show "buttons" should both have the same vertical extents for their click actions. The 'Hide' button is limited to its extent. But the 'Show' button action target runs to entire height of the scroll bar--it should be limited to its button bounds (what toggles with mouse over) as the 'Hide' button does.
Comment 7 LeroyG 2024-01-22 14:05:59 UTC
So, I ask me the question:

Is not the dark grey rectangle with a left pointing triangle (in the collapsed sidebar) only a hint that there is a very tall button?

And that when the sidebar is shown, a click on all the verticall space must collapse the sidebar?
So, the bug could be this, because it works only when clicking on the dark grey part of this tall button.

I think that allowing to scroll the document while wheeling on this tall button (while the sidebar is collapsed) is an indulgence (?) to the user.
Comment 8 vena.cava@virgin.net 2024-03-01 23:20:32 UTC
The bug is also present in the Linux version 24.2 of LibreOffice.
Comment 9 vena.cava@virgin.net 2024-04-24 08:11:44 UTC
This is really inconvenient that this button work outside it's allocated area,  because it is active alone the hole of the side of the slide bar, and accidental activation easily happens.

I would say that it needs to be fixed please.